Bug 1122633 - [abrt] juffed: QHashData::detach_helper2(): juffed killed by SIGSEGV
Summary: [abrt] juffed: QHashData::detach_helper2(): juffed killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: juffed
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eugene A. Pivnev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aa0ff20b371d679eeb716618dde...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 16:29 UTC by Andrey Volkov
Modified: 2015-06-29 21:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:43:27 UTC


Attachments (Terms of Use)
File: backtrace (63.36 KB, text/plain)
2014-07-23 16:29 UTC, Andrey Volkov
no flags Details
File: cgroup (172 bytes, text/plain)
2014-07-23 16:29 UTC, Andrey Volkov
no flags Details
File: core_backtrace (29.88 KB, text/plain)
2014-07-23 16:29 UTC, Andrey Volkov
no flags Details
File: dso_list (14.07 KB, text/plain)
2014-07-23 16:29 UTC, Andrey Volkov
no flags Details
File: environ (1.79 KB, text/plain)
2014-07-23 16:29 UTC, Andrey Volkov
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-23 16:29 UTC, Andrey Volkov
no flags Details
File: maps (70.72 KB, text/plain)
2014-07-23 16:29 UTC, Andrey Volkov
no flags Details
File: open_fds (831 bytes, text/plain)
2014-07-23 16:29 UTC, Andrey Volkov
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2014-07-23 16:29 UTC, Andrey Volkov
no flags Details
File: var_log_messages (354 bytes, text/plain)
2014-07-23 16:29 UTC, Andrey Volkov
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-07-23 16:29 UTC, Andrey Volkov
no flags Details

Description Andrey Volkov 2014-07-23 16:29:36 UTC
Version-Release number of selected component:
juffed-0.10-5.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/juffed
crash_function: QHashData::detach_helper2
executable:     /usr/bin/juffed
kernel:         3.14.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QHashData::detach_helper2 at tools/qhash.cpp:233
 #1 QHash<unsigned long long, QCache<unsigned long long, Oxygen::TileSet>::Node>::detach_helper at /usr/include/QtCore/qhash.h:584
 #2 detach at /usr/include/QtCore/qhash.h:303
 #3 find at /usr/include/QtCore/qhash.h:867
 #4 relink at /usr/include/QtCore/qcache.h:78
 #5 object at /usr/include/QtCore/qcache.h:148
 #7 Oxygen::StyleHelper::hole at /usr/src/debug/kde-workspace-4.11.10/kstyles/oxygen/oxygenstylehelper.cpp:844
 #8 Oxygen::StyleHelper::renderHole at /usr/src/debug/kde-workspace-4.11.10/kstyles/oxygen/oxygenstylehelper.cpp:737
 #9 Oxygen::SunkenFrameShadow::paintEvent at /usr/src/debug/kde-workspace-4.11.10/kstyles/oxygen/oxygenframeshadow.cpp:490
 #10 QWidget::event at kernel/qwidget.cpp:8546

Comment 1 Andrey Volkov 2014-07-23 16:29:40 UTC
Created attachment 920285 [details]
File: backtrace

Comment 2 Andrey Volkov 2014-07-23 16:29:42 UTC
Created attachment 920286 [details]
File: cgroup

Comment 3 Andrey Volkov 2014-07-23 16:29:44 UTC
Created attachment 920287 [details]
File: core_backtrace

Comment 4 Andrey Volkov 2014-07-23 16:29:45 UTC
Created attachment 920288 [details]
File: dso_list

Comment 5 Andrey Volkov 2014-07-23 16:29:47 UTC
Created attachment 920289 [details]
File: environ

Comment 6 Andrey Volkov 2014-07-23 16:29:48 UTC
Created attachment 920290 [details]
File: limits

Comment 7 Andrey Volkov 2014-07-23 16:29:50 UTC
Created attachment 920291 [details]
File: maps

Comment 8 Andrey Volkov 2014-07-23 16:29:52 UTC
Created attachment 920292 [details]
File: open_fds

Comment 9 Andrey Volkov 2014-07-23 16:29:53 UTC
Created attachment 920293 [details]
File: proc_pid_status

Comment 10 Andrey Volkov 2014-07-23 16:29:55 UTC
Created attachment 920294 [details]
File: var_log_messages

Comment 11 Andrey Volkov 2014-07-23 16:29:56 UTC
Created attachment 920295 [details]
File: exploitable

Comment 12 Fedora End Of Life 2015-05-29 12:27:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:43:27 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.